Get Impacted Components for the Pipe/Connectivity Resource outage.
get
/impactAnalysis/connectivityImpacts/{id}
Retrieves a list of impacted components associated with the specified pipe or connectivity resource outage.
Request
Path Parameters
-
id(required): string
The ID of the Pipe/Connectivity to fetch the impacts of Pipe/Connectivity outage.
Query Parameters
-
serviceProtectionRequired: boolean
Whether to calculate service protection levels for impacted services.Default Value:
false
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
The outage impacts were retrieved successfully.
Root Schema : ConnectivityOutageImpacts
Type:
objectDetails of entities impacted by an outage of connectivity/pipe.
Show Source
-
connectivityIdentifier: string
Unique identifier of the impacted connectivity.
-
impacts: array
impacts
List of impacted entities by an outage of connectivity/pipe.
-
pipeId: string
Identifier of the impacted pipe.
-
pipeName: string
Name of the impacted pipe.
Nested Schema : impacts
Type:
arrayList of impacted entities by an outage of connectivity/pipe.
Show Source
-
Array of:
object OutageImpactEntity
Detailed information about an entity impacted by an outage.
Nested Schema : OutageImpactEntity
Type:
objectDetailed information about an entity impacted by an outage.
Show Source
-
@baseType: string
Read Only:
trueAllowed Values:[ "PhysicalResource", "LogicalResource" ]The list of valid values for the type of base resource. -
@type: string
Allowed Values:
[ "DeviceInterface", "Equipment", "EquipmentHolder", "LogicalDevice", "LogicalDeviceAccount", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPNetwork", "IPSubnet", "NetworkAddressDomain", "FlowIdentifier", "CustomObject", "CustomNetworkAddress", "Pipe", "PipeTerminationPoint", "Connectivity" ]The list of valid values for the resource type. -
connectivityIdentifier: string
Read Only:
trueThe identifier of impacted Connectivity. -
description: string
A free-text description for the Impacted Entity Item.
-
entityType: string
Allowed Values:
[ "PIPE", "CONNECTIVITY", "SERVICE", "EQUIPMENT", "PHYSICAL DEVICE", "LOGICAL DEVICE", "LOCATION", "NETWORK", "FLOWIDENTIFIER" ]Entity type of the impacted entity. -
flowIdentifierDomain: string
Domain of the impacted flow identifier.
-
flowIdentifierIdentifier: integer
Identifier of the impacted flow identifier.
-
href: string
(uri)
Read Only:
trueThe URI for the Impacted Entity Item. -
id: string
Read Only:
trueThe ID of the impacted entity. -
impactRelatedParty: array
impactRelatedParty
List of parties related to the impacted entity, including impact-specific party characteristics.
-
impactType: string
Read Only:
trueType of the impact, DIRECT or INDIRECT. -
latitude: number
(double)
The latitude of the impacted location.
-
longitude: number
(double)
The longitude of the impacted location.
-
name: string
Read Only:
trueThe name of the impacted entity. -
ownedBy: object
RelatedPartyRef
A related party, which defines a party or party role linked to a specific entity.
-
protectionLevel: string
Allowed Values:
[ "PROTECTED", "NOT_PROTECTED", "UNKNOWN" ]Alarm-relative service protection level. Populated only for SERVICE impact entities. -
rateCode: string
The ratecode of the impacted Connectivity.
-
relatedParty: arrayrelatedParty -
specName: string
Read Only:
trueThe name of the specification. -
technology: string
The technology of the impacted Connectivity.
Example:
{
"id":"225001",
"name":"Access service example",
"entityType":"SERVICE",
"href":"https://uim.example.test/resourceInventoryManagement/v4/service/225001",
"specName":"AccessService",
"impactType":"DIRECT",
"protectionLevel":"PROTECTED"
}Nested Schema : impactRelatedParty
Type:
arrayList of parties related to the impacted entity, including impact-specific party characteristics.
Show Source
-
Array of:
ImpactRelatedParty
Party reference related to an impacted entity, including impact-specific party characteristics.
Nested Schema : RelatedPartyRef
Type:
objectA related party, which defines a party or party role linked to a specific entity.
Show Source
-
@referredType(required): string
Concrete Type of the Party, in case of dis-ambiguity. Default is 'Party'.
-
href: string
(uri)
The URI for the related party.
-
id(required): string
The ID of the related party.
-
name: string
The name of the related party.
-
role: string
The role of the related party.
Nested Schema : ImpactRelatedParty
Party reference related to an impacted entity, including impact-specific party characteristics.
Match All
Party reference related to an impacted entity, including impact-specific party characteristics.
Party reference related to an impacted entity, including impact-specific party characteristics.
Show Source
-
object
RelatedPartyRef
A related party, which defines a party or party role linked to a specific entity.
-
object
ImpactRelatedParty-allOf[1]
Nested Schema : ImpactRelatedParty-allOf[1]
Type:
Show Source
object-
resourceCharacteristic: array
resourceCharacteristic
Characteristics of the related party relevant to the impact.
Nested Schema : resourceCharacteristic
Type:
arrayCharacteristics of the related party relevant to the impact.
Show Source
-
Array of:
object Characteristic
A characteristic of an object or entity represented by a name-value pair.
Nested Schema : Characteristic
Type:
objectA characteristic of an object or entity represented by a name-value pair.
Show Source
-
@schemaLocation: string
(uri)
The URI for the JSON Schema file that defines additional attributes and relationships.
-
@type: string
The entity type of the object. This is useful for EntityLink characters and when the value is set with an actual object and the valueType is an object.
-
code: string
The enumeration code in case of enum type characteristics.
-
displayName: string
The display label of the charatcteristic.
-
name(required): string
The name of the characteristic.
-
value(required): object
Any
An arbitrary JSON value.
-
valueType: string
Allowed Values:
[ "ALPHANUMERIC", "NUMERIC", "BOOLEAN", "DATE", "OBJECT", "URL" ]The data type for the characteristics's value.
Nested Schema : Any
Type:
objectAn arbitrary JSON value.
400 Response
The request isn't valid.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
401 Response
You aren't authorized to make this request.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
403 Response
The request is forbidden.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
404 Response
The resources weren't found.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
500 Response
An internal server error occurred.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source